#include "ui_list.h"

/**
 * @brief  设置左边标题栏选中
 * @param  labeltitle       左侧标题栏
 * @param  editnum          选中下标
 * @param  count            数组
 * @param  manulen          数组长度
 * @date 2026-01-05
 */
void ui_list_select_Editrype(lv_obj_t **labeltitle,  u8 editnum, char **count, u8 manulen)
{
    u8 i = 0, j = 0, page = 0, pagels = 0;
    page = editnum / 8;
    pagels = manulen % 8;

    if (manulen > 8)
    {
        for (i = 0; i < 8; i++)
        {
            if (editnum < 8)
            {
                if (i == editnum)
                    lv_obj_set_style_local_text_color(labeltitle[i], LV_OBJ_PART_MAIN, LV_STATE_DEFAULT, LV_COLOR_RED); // 设置颜色
                else
                    lv_obj_set_style_local_text_color(labeltitle[i], LV_OBJ_PART_MAIN, LV_STATE_DEFAULT, Default_HZ_color); // 设置颜色
                lv_label_set_text(labeltitle[i], count[i + page * 8]);
            }
            else
            {
                if ((i + page * 8) < manulen)
                {
                    if (i == editnum - page * 8)
                        lv_obj_set_style_local_text_color(labeltitle[i], LV_OBJ_PART_MAIN, LV_STATE_DEFAULT, LV_COLOR_RED);
                    else
                        lv_obj_set_style_local_text_color(labeltitle[i], LV_OBJ_PART_MAIN, LV_STATE_DEFAULT, Default_HZ_color);
                    lv_label_set_text(labeltitle[i], count[i + page * 8]);
                }
            }
        }

        if (pagels < 8 && (page == manulen / 8))
        {
            for (j = 0; j < 8 - pagels; j++)
            {
                lv_label_set_text(labeltitle[pagels + j], " ");
            }
        }
    }

    if (manulen < 8 || manulen == 8)
    {
        for (i = 0; i < manulen; i++)
        {
            if (i != editnum)
                lv_obj_set_style_local_text_color(labeltitle[i], LV_OBJ_PART_MAIN, LV_STATE_DEFAULT, Default_HZ_color); // 设置颜色
            else
                lv_obj_set_style_local_text_color(labeltitle[i], LV_OBJ_PART_MAIN, LV_STATE_DEFAULT, LV_COLOR_RED); // 设置颜色

            lv_label_set_text(labeltitle[i], count[i]);
        }
    }
}


void ui_list_select_option_change(u8 option, u8 type, Para_OPTTypeDef *manu, u8 manu_len)
{
    
}